Subject: Device Tree setup for 8272-based board

From: Daniel Ng <[email-masked]>
Date: Fri, 19 Dec 2008 06:31:41 +0000 (UTC)

Hi,

We are migrating our PowerPC 8272-based board from 2.6.14 to 2.6.27.

One of the big changes is the need for a Device Tree for bootup.

So far, my bootup looks like the below (using u-boot).

I am just using arch/powerpc/boot/cuboot-824x.c 
and /arch/powerpc/boot/dts/mpc8272ads.dts for now. Therefore, all the settings 
as printed below are wrong ie. Memory, ENET0 mac, CPU clock freq, etc.

When I change the settings in mpc8272ads.dts and do a fresh recompile, the 
settings do not change. However, if I use another cuboot*.c file, I get a 
different set of printed settings eg. 2 ethernet ports instead of 1. This is 
fine, but I don't see where in the cuboot*.c file these settings are 
specified. Can someone suggest where these might be?

Cheers,
Daniel

## Booting image at 00200000 ...
   Image Name:   Linux-2.6.27-mybuild
   Image Type:   PowerPC Linux Kernel Image (gzip compressed)
   Data Size:    1477233 Bytes =  1.4 MB
   Load Address: 00400000
   Entry Point:  00400594
   Verifying Checksum ... OK
   Uncompressing Kernel Image ... OK
Memory <- <0x0 0x4000000> (64MB)
ENET0: local-mac-address <- c0:a8:01:4b:7e:13
CPU clock-frequency <- 0xa175c100 (2709MHz)
CPU timebase-frequency <- 0x4ead9a0 (83MHz)
CPU bus-frequency <- 0x13ab6680 (330MHz)

zImage starting: loaded at 0x00400000 (sp: 0x03f7c9c8)
Allocating 0x316e8c bytes for kernel ...
gunzipping (0x00000000 <- 0x0040c000:0x0071367c)...done 0x2f41a0 bytes

Linux/PowerPC load:
Finalizing device tree... flat tree at 0x40acd8

(there is no more output after this)